Download Malware File

Prev Next

This URL downloads the malware file as Base64 encoded ByteStream.

Resource URL

GET /malwarearchive/download/<filehash>

Request Parameters

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

filehash

Hash value of the filename

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

byteStream

Base64 encoded byte stream of the malware file

String

Example

Request

GET https://<NSM_IP>/sdkapi/malwarearchive/download/0bea3f79a36b1f67b2ce0f595524c77c

Response

{
	"byteStream": "TVqOAQEAAAAEAAAA//8AALgAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAAAA4fug4AtAnNIbgBTM0hVGhpcyBwcm9ncmFtIHJlcXVpcmVzIE1pY3Jvc29mdCBXaW5kb3dzLg0KJAAAAAAAAABORQU8JgEtAAAAAAABgwMAABQAALIWAgAAAAAAAwADAE8AQABYAOwADQETAdMBAAAHAAQAAAACCCQAdhYAAAoDJgBiyVAdYsnoDNtQUB3bUAISKElxDShJBAAFgAQAAAAAAJoWCAAwHGWAAAAAAKIWGg”
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

400

1001

internal error

2

400

3401

Invalid file hash value